package game;

import java.awt.event.KeyEvent;
import java.awt.event.MouseEvent;
import java.util.ArrayList;

public class GameUpdate {

    protected double sinceStart;
    protected double sinceUpdate;
    protected ArrayList<KeyEvent> keyEvents;
    protected ArrayList<MouseEvent> mouseEvents;

    public GameUpdate(double timeSinceStart, double timeSinceUpdate,
            ArrayList<KeyEvent> keyEvents, ArrayList<MouseEvent> mouseEvents) {

        this.sinceStart = timeSinceStart;
        this.sinceUpdate = timeSinceUpdate;
        this.keyEvents = keyEvents;
        this.mouseEvents = mouseEvents;
    }

    public double getTimeSinceStart() {
        return sinceStart;
    }

    public double getTimeSinceUpdate() {
        return sinceUpdate;
    }

    public ArrayList<KeyEvent> getKeyEvents() {
        return keyEvents;
    }

    public ArrayList<MouseEvent> getMouseEvents() {
        return mouseEvents;
    }
}
