package game.control;

import java.util.ArrayList;

import java.util.LinkedList;

import game.Game;
import pacman.PacMan;
import pacman.PacManObjectManager;
import game.objects.Creature;
import game.objects.Entity;
import geometry.Vector2D;

public class AIControl extends Control {

	protected Entity targetEntity;

	public AIControl(Game game, Creature controlledCreature) {
		super(game, controlledCreature);

	}

	@Override
	protected void targetNodeReached() {

		// set position of ghost to the current node
		controlledCreature.setPosition(targetNode.getPosition());

		PacManObjectManager objectManager = (PacManObjectManager) game
				.getObjectManager();

		MapNode next_node;
		
		if (objectManager.hasPacman() ) {
	                PacMan pac = objectManager.getPacman();



			// ERSETZEN SIE DIE FOLGENDEN DREI ZEILEN DURCH IHREN SUCHALGORITHMUS
			int number_of_nodes = targetNode.neighbours.size();
			int select_neighbor = (int) (number_of_nodes * Math.random());
			next_node = targetNode.neighbours().get(select_neighbor);









		} else {
			// select next node to move randomly
			int number_of_nodes = targetNode.neighbours.size();
			int select_neighbor = (int) (number_of_nodes * Math.random());
			next_node = targetNode.neighbours().get(select_neighbor);
		}

		// compute the next node to move and set
		Vector2D targetVector = next_node.getPosition().subtract(
				targetNode.getPosition());
		controlledCreature.setDirection(targetVector.normalized());
		setTargetNode(next_node);
	}
}
